import type { HTMLButtonAttributes, HTMLAnchorAttributes, HTMLLabelAttributes } from "svelte/elements";
import type { Snippet } from "svelte";
type ActionProps = ({
    click?: () => void;
    disabled?: boolean;
} & HTMLButtonAttributes) | ({
    href: string;
} & HTMLAnchorAttributes) | ({
    for: string;
} & HTMLLabelAttributes);
type Props = {
    variant?: "elevated" | "filled" | "tonal" | "outlined" | "text";
    square?: boolean;
    iconType?: "none" | "left" | "full";
    children: Snippet;
} & ActionProps;
declare const Button: import("svelte").Component<Props, {}, "">;
type Button = ReturnType<typeof Button>;
export default Button;
