import type { HTMLButtonAttributes } from "svelte/elements";
import type { IconifyIcon } from "@iconify/types";
type ContentProps = {
    size?: "normal";
    icon?: IconifyIcon;
    text: string;
} | {
    size?: "small" | "normal" | "large";
    icon: IconifyIcon;
    text?: undefined;
};
type $$ComponentProps = {
    color?: "primary-container" | "secondary-container" | "tertiary-container" | "primary" | "secondary" | "tertiary";
    elevation?: "normal" | "lowered" | "none";
    click: () => void;
} & ContentProps & HTMLButtonAttributes;
declare const Fab: import("svelte").Component<$$ComponentProps, {}, "">;
type Fab = ReturnType<typeof Fab>;
export default Fab;
