import type { IconifyIcon } from "@iconify/types";
import type { HTMLDialogAttributes } from "svelte/elements";
import type { Snippet } from "svelte";
type $$ComponentProps = {
    icon?: IconifyIcon | undefined;
    headline: string;
    buttons: Snippet;
    children: Snippet;
    open: boolean;
    closeOnEsc?: boolean;
    closeOnClick?: boolean;
    onEsc?: () => void;
    onClick?: () => void;
} & HTMLDialogAttributes;
declare const Dialog: import("svelte").Component<$$ComponentProps, {}, "open">;
type Dialog = ReturnType<typeof Dialog>;
export default Dialog;
