import type { HTMLInputAttributes } from "svelte/elements";
type $$ComponentProps = {
    value: number;
    min?: number;
    max?: number;
    step?: number | "any";
    disabled?: boolean;
    showValue?: boolean;
    format?: (n: number) => string;
} & HTMLInputAttributes;
declare const Slider: import("svelte").Component<$$ComponentProps, {}, "value">;
type Slider = ReturnType<typeof Slider>;
export default Slider;
