import type { IconifyIcon } from "@iconify/types";
import type { HTMLInputAttributes } from "svelte/elements";
type TrailingProps = {
    trailingIcon: IconifyIcon;
    trailingClick: () => void;
} | {
    trailingIcon?: undefined;
    trailingClick?: undefined;
};
type $$ComponentProps = {
    label: string;
    leadingIcon?: IconifyIcon;
    disabled?: boolean;
    required?: boolean;
    error?: boolean;
    value?: string;
    enter?: () => void;
} & TrailingProps & HTMLInputAttributes;
declare const TextFieldOutlined: import("svelte").Component<$$ComponentProps, {}, "value">;
type TextFieldOutlined = ReturnType<typeof TextFieldOutlined>;
export default TextFieldOutlined;
