import type { IconifyIcon } from "@iconify/types";
import type { HTMLButtonAttributes, HTMLAnchorAttributes } from "svelte/elements";
type ActionProps = ({
    click: () => void;
} & HTMLButtonAttributes) | ({
    href: string;
} & HTMLAnchorAttributes);
type $$ComponentProps = {
    variant: "compact" | "medium" | "large" | "expanded" | "auto";
    icon: IconifyIcon;
    text: string;
    selected: boolean;
} & ActionProps;
declare const NavCmlxItem: import("svelte").Component<$$ComponentProps, {}, "">;
type NavCmlxItem = ReturnType<typeof NavCmlxItem>;
export default NavCmlxItem;
