import type { Snippet } from "svelte";
import type { HTMLAttributes, HTMLButtonAttributes } from "svelte/elements";
type ActionProps = ({
    click: () => void;
} & HTMLButtonAttributes) | HTMLAttributes<HTMLDivElement>;
type $$ComponentProps = {
    variant: "elevated" | "filled" | "outlined";
    children: Snippet;
} & ActionProps;
declare const Card: import("svelte").Component<$$ComponentProps, {}, "">;
type Card = ReturnType<typeof Card>;
export default Card;
