import type { Snippet } from "svelte";
import type { HTMLAnchorAttributes, HTMLAttributes, HTMLButtonAttributes, HTMLLabelAttributes } from "svelte/elements";
type ActionProps = HTMLAttributes<HTMLDivElement> | ({
    click: () => void;
} & HTMLButtonAttributes) | ({
    label: true;
} & HTMLLabelAttributes) | ({
    href: string;
} & HTMLAnchorAttributes);
type $$ComponentProps = {
    leading?: Snippet;
    overline?: string;
    headline?: string;
    supporting?: string;
    trailing?: Snippet;
    lines?: number;
} & ActionProps;
declare const ListItem: import("svelte").Component<$$ComponentProps, {}, "">;
type ListItem = ReturnType<typeof ListItem>;
export default ListItem;
